#define beta beta3
%define major 1
%define libname %mklibname pri %{major}
%define develname %mklibname pri -d

Summary:	An implementation of Primate and Basic Rate ISDN
Name:		libpri
Version:	1.5.0
Release:	%mkrel %{?beta:0.0.%{beta}.}1
License:	GPL
Group:		System/Libraries
URL:		http://www.asterisk.org/
Source0:	http://downloads.asterisk.org/pub/telephony/libpri/%{name}-%{version}%{?beta:-%{beta}}.tar.gz
Patch0:		libpri-mdv_conf.diff
BuildRequires:	dahdi-devel
BuildRequires:	zapata-devel

%description
libpri is a C implementation of the Primary Rate ISDN specification. It was
based on the Bellcore specification SR-NWT-002343 for National ISDN. As of May
12, 2001, it has been tested work with NI-2, Nortel DMS-100, and Lucent 5E
Custom protocols on switches from Nortel and Lucent.

%package -n	%{libname}
Summary:	An implementation of Primate and Basic Rate ISDN
Group:          System/Libraries

%description -n	%{libname}
libpri is a C implementation of the Primary Rate ISDN specification. It was
based on the Bellcore specification SR-NWT-002343 for National ISDN. As of May
12, 2001, it has been tested work with NI-2, Nortel DMS-100, and Lucent 5E
Custom protocols on switches from Nortel and Lucent.

%package -n	%{develname}
Summary:	Development libraries and headers for %{name}
Group:		Development/C
Provides:	pri-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
libpri is an implementation of the Primary Rate ISDN specification (based on
the ITU and Bellcore specifications). It supports Lucent 4e and 5e, Nortel
DMS-100, and National ISDN switchtypes.

This package contains all of the development files that you will need in order
to compile %{name} applications.

%package	utils
Summary:	Various tools for %{name} diagnostics
Group:		System/Libraries

%description	utils
Various tools for %{name} diagnostics

%prep

%setup -q -n %{name}-%{version}%{?beta:-%{beta}}

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type d -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;
		
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%patch0 -p0

# lib64 fix
find -name "Makefile" | xargs perl -pi -e 's|\$\(INSTALL_BASE\)/lib|\$\(INSTALL_BASE\)/%{_lib}|g'

%build

%make RPM_OPT_FLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT"
%make RPM_OPT_FLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT" pridump pritest

%install
install -d %{buildroot}%{_sbindir}

make \
    INSTALL_PREFIX="%{buildroot}" \
    install

install -m0755 pridump %{buildroot}%{_sbindir}/
install -m0755 pritest %{buildroot}%{_sbindir}/

%files utils
%{_sbindir}/pridump
%{_sbindir}/pritest

%files -n %{libname}
%doc ChangeLog README TODO
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a






%changelog
* Sat Apr 16 2016 oden <oden> 1.5.0-1.mga6
+ Revision: 1003033
- 1.5.0

* Sat Feb 06 2016 umeabot <umeabot> 1.4.14-5.mga6
+ Revision: 941761
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.14-4.mga5
+ Revision: 742370
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.14-3.mga5
+ Revision: 681720
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.4.14-2.mga4
+ Revision: 539641
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 oden <oden> 1.4.14-1.mga4
+ Revision: 492570
- 1.4.14

* Sat Jan 12 2013 umeabot <umeabot> 1.4.12-2.mga3
+ Revision: 358000
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 26 2012 dlucio <dlucio> 1.4.12-1.mga2
+ Revision: 226478
- imported package libpri

